summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/release7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/release b/bin/release
index 333c3c6..380c5bf 100755
--- a/bin/release
+++ b/bin/release
@@ -99,6 +99,13 @@ EOF
}
+# This command must be run at the top level of the hdf5 source directory.
+# Verify this requirement.
+if [ ! \( -f configure -a -f bin/release \) ]; then
+ echo "$0 must be run at the top level of the hdf5 source directory"
+ exit 1
+fi
+
# Defaults
DEST=releases
VERS=`perl bin/h5vers`